Skip to content
Browse files

Update and tighten runtime dependencies; loosen some development depe…

…ndencies.

Should make 'bundle update' safer and more useful.
  • Loading branch information...
1 parent bc2d5da commit 3ce9b8313e498097c265c8c3f04675aaa3223f0e @chrismear chrismear committed Apr 12, 2012
Showing with 36 additions and 33 deletions.
  1. +16 −16 Gemfile
  2. +20 −17 Gemfile.lock
View
32 Gemfile
@@ -1,14 +1,14 @@
source 'http://rubygems.org'
-gem "bundler", ">=1.0.0"
+gem "bundler", "~>1.1.3"
gem "rails", "3.2.3"
# Bundle edge Rails instead:
# gem 'rails', :git => 'git://github.com/rails/rails.git'
# gem 'sqlite3-ruby', :require => 'sqlite3'
-gem "mysql"
+gem "mysql", "~>2.8.1"
# Use unicorn as the web server
# gem 'unicorn'
@@ -28,23 +28,23 @@ gem "mysql"
# Gems used only for assets and not required
# in production environments by default.
group :assets do
- gem 'sass-rails', '~> 3.2.3'
- gem 'uglifier', '>= 1.0.3'
+ gem 'sass-rails', '~>3.2.5'
+ gem 'uglifier', '~>1.2.4'
gem 'therubyracer'
end
gem "jquery-rails", "~>2.0.2"
gem "haml", "~>3.1.4"
-gem "rdiscount"
-gem "pdfkit"
-gem "delayed_job", "~>3.0.1"
-gem "delayed_job_active_record"
-gem "exception_notification_rails3", :require => 'exception_notifier'
-gem "cancan", "~>1.6.4"
+gem "rdiscount", "~>1.6.8"
+gem "pdfkit", "~>0.5.2"
+gem "delayed_job", "~>3.0.2"
+gem "delayed_job_active_record", "~>0.3.2"
+gem "exception_notification_rails3", "~>1.2.0", :require => 'exception_notifier'
+gem "cancan", "~>1.6.7"
gem "state_machine", "~>1.1.2"
-gem "fastercsv", :platforms => :ruby_18
+gem "fastercsv", "~>1.5.4", :platforms => :ruby_18
-gem 'mail', '>=2.2.19'
+gem 'mail', '~>2.4.4'
# Bundle gems for the local environment. Make sure to
# put test-only gems in this group so their generators
@@ -63,14 +63,14 @@ end
group :development, :test do
gem "rspec-rails", "~>2.9.0"
- gem "webrat", "~>0.7.1"
+ gem "webrat"
gem "machinist", :git => "git://github.com/chrismear/machinist.git", :branch => "make_on_has_many"
gem "faker", '~>1.0.1'
gem "rcov", :platforms => :ruby_18
gem "simplecov", :platforms => :ruby_19
gem "cucumber-rails", "~>1.3.0", :require => nil
- gem "capybara", "~>1.1.1"
- gem "database_cleaner", "~>0.7.1"
+ gem "capybara", "~>1.1.2"
+ gem "database_cleaner"
gem "launchy"
- gem "selenium-webdriver", "~>2.20.0"
+ gem "selenium-webdriver", "~>2.21.0"
end
View
37 Gemfile.lock
@@ -96,6 +96,8 @@ GEM
launchy (2.1.0)
addressable (~> 2.2.6)
libv8 (3.3.10.4)
+ libwebsocket (0.1.3)
+ addressable
linecache (0.46)
rbx-require-relative (> 0.0.4)
linecache19 (0.5.12)
@@ -185,9 +187,10 @@ GEM
railties (~> 3.2.0)
sass (>= 3.1.10)
tilt (~> 1.3)
- selenium-webdriver (2.20.0)
+ selenium-webdriver (2.21.0)
childprocess (>= 0.2.5)
ffi (~> 1.0)
+ libwebsocket (~> 0.1.3)
multi_json (~> 1.0)
rubyzip
simplecov (0.6.1)
@@ -223,36 +226,36 @@ PLATFORMS
ruby
DEPENDENCIES
- bundler (>= 1.0.0)
- cancan (~> 1.6.4)
+ bundler (~> 1.1.3)
+ cancan (~> 1.6.7)
capistrano (~> 2.11.2)
- capybara (~> 1.1.1)
+ capybara (~> 1.1.2)
cucumber-rails (~> 1.3.0)
- database_cleaner (~> 0.7.1)
- delayed_job (~> 3.0.1)
- delayed_job_active_record
- exception_notification_rails3
+ database_cleaner
+ delayed_job (~> 3.0.2)
+ delayed_job_active_record (~> 0.3.2)
+ exception_notification_rails3 (~> 1.2.0)
faker (~> 1.0.1)
- fastercsv
+ fastercsv (~> 1.5.4)
haml (~> 3.1.4)
jquery-rails (~> 2.0.2)
launchy
machinist!
- mail (>= 2.2.19)
- mysql
- pdfkit
+ mail (~> 2.4.4)
+ mysql (~> 2.8.1)
+ pdfkit (~> 0.5.2)
pry
railroad
rails (= 3.2.3)
rcov
- rdiscount
+ rdiscount (~> 1.6.8)
rspec-rails (~> 2.9.0)
ruby-debug
ruby-debug19
- sass-rails (~> 3.2.3)
- selenium-webdriver (~> 2.20.0)
+ sass-rails (~> 3.2.5)
+ selenium-webdriver (~> 2.21.0)
simplecov
state_machine (~> 1.1.2)
therubyracer
- uglifier (>= 1.0.3)
- webrat (~> 0.7.1)
+ uglifier (~> 1.2.4)
+ webrat

0 comments on commit 3ce9b83

Please sign in to comment.
Something went wrong with that request. Please try again.